/**
 * @fileOverview Kapitola 4 – skript příkladu Pro zasmání.
 * V tomto skriptu se nachází komentáře ve formátu dokumentačních bloků
 * nástroje JsDoc Toolkit.
 * Oficiální stránky projektu JsDoc Toolkit jsou k dispozici na adrese
 * http://code.google.com/p/jsdoc-toolkit/.
 * @author Ondřej Baše
 */

$(function() {
  var PORADI_KARTY_UVODNI_STRANA = 0,
    PORADI_KARTY_POKEC = 2;

  $('#nabidka').tabs({
    fx: [{
        opacity: 'toggle',
      }, {
        opacity: 'toggle',
        duration: 'fast'
      }
    ],
    load: function(ev, ui) {
      switch (ui.index) {
        case PORADI_KARTY_UVODNI_STRANA:
          zpracujNacteniKartyUvodniStrana();
          break;
        case PORADI_KARTY_POKEC:
          zpracujNacteniKartyPokec();
          break;
        default: // žádná akce
          break;
      }
    }
  });
});

/**
 * Zpracuje událost načtení karty Úvodní strana.
 */
function zpracujNacteniKartyUvodniStrana() {
  $('#postranni-panel').accordion({
    autoHeight: false,
  });
}

/**
 * Zpracuje událost načtení karty Pokec.
 */
function zpracujNacteniKartyPokec() {
  $('#upozorneni').dialog({
    autoOpen: false,
	buttons: {
      'Beru na vědomí': zavriDialogoveOkno
    },
    modal: true,
    resizable: false
  });

  /* Dialogové okno s upozorněním zobrazíme jen za předpokladu, že se
  uživatel nepřihlásil a poprvé načítá obsah karty Pokec. */
  if (!uzivatelSePrihlasil() &&
    !zpracujNacteniKartyPokec.oknoUzJsmeZobrazili) {
    $('#upozorneni').dialog('open');
    zpracujNacteniKartyPokec.oknoUzJsmeZobrazili = true;
  }
}

/**
 * Zavře dialogové okno.
 */
function zavriDialogoveOkno() {
  $(this).dialog('close');
}

/**
 * Vrací stav přihlašení uživatele.
 */
function uzivatelSePrihlasil() {
  return false;
}